Package com.enonic.xp.schema.content.validator

## Class ContentTypeValidationResult

- java.lang.Object
- - com.enonic.xp.schema.content.validator.ContentTypeValidationResult

- All Implemented Interfaces:
    `Iterable<ContentTypeValidationError>`

      @PublicApi
      public class ContentTypeValidationResult
      extends Object
      implements Iterable<ContentTypeValidationError>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentTypeValidationResult.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentTypeValidationResult.Builder` | `create()` |
    `static ContentTypeValidationResult` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `static ContentTypeValidationResult` | `from​(ContentTypeValidationError... exceptions)` |
    `static ContentTypeValidationResult` | `from​(Iterable<ContentTypeValidationError> exceptions)` |
    `static ContentTypeValidationResult` | `from​(List<ContentTypeValidationError> exceptions)` |
    `ContentTypeValidationError` | `getFirst()` |
    `boolean` | `hasErrors()` |
    `int` | `hashCode()` |
    `Iterator<ContentTypeValidationError>` | `iterator()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getFirst

          public ContentTypeValidationError getFirst()

    - #### hasErrors

          public boolean hasErrors()

    - #### iterator

          public Iterator<ContentTypeValidationError> iterator()

      Specified by:
        `iterator` in interface `Iterable<ContentTypeValidationError>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### from

          public static ContentTypeValidationResult from​(List<ContentTypeValidationError> exceptions)

    - #### from

          public static ContentTypeValidationResult from​(ContentTypeValidationError... exceptions)

    - #### from

          public static ContentTypeValidationResult from​(Iterable<ContentTypeValidationError> exceptions)

    - #### empty

          public static ContentTypeValidationResult empty()

    - #### create

          public static ContentTypeValidationResult.Builder create()